Bug 722653 - Review Request: perl-Modern-Perl - enable all of the features of Modern Perl with one command
Summary: Review Request: perl-Modern-Perl - enable all of the features of Modern Perl ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 904099 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-16 07:58 UTC by Conrad Meyer
Modified: 2014-02-03 12:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-28 17:14:24 UTC
Type: ---
iarnell: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Conrad Meyer 2011-07-16 07:58:10 UTC
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/perl-Modern-Perl.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/perl-Modern-Perl-1.03-1.fc14.src.rpm
Description:
This is a trivial package which aims to reduce boilerplate code in new Perl modules and programs wishing to use modern Perl features.

Comment 1 Iain Arnell 2011-08-12 02:59:17 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=3267157

Comment 2 Iain Arnell 2011-08-12 03:16:32 UTC
A nice clean package. The only minor issue I have is with the summary - would prefer to see "Enable all of the features of Modern Perl with one command".

APPROVED.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3267157

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
c564f6847d1433b03e10537cfa96145d28e367c0 Modern-Perl-1.03.tar.gz
c564f6847d1433b03e10537cfa96145d28e367c0 Modern-Perl-1.03.tar.gz.srpm

Final provides / requires are sane:

======> perl-Modern-Perl-1.03-1.fc17.noarch.rpm <======
====> rpmlint
perl-Modern-Perl.noarch: W: spelling-error %description -l en_US pragmas -> pragmatism
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides
perl(Modern::Perl) = 1.03
perl-Modern-Perl = 1.03-1.fc17
====> requires
perl >= 1:5.010_000
perl(feature)  
perl(:MODULE_COMPAT_5.14.1)  
perl(mro)  
perl(strict)  
perl(warnings)  
====> obsoletes
====> conflicts

======> perl-Modern-Perl-1.03-1.fc17.src.rpm <======
====> rpmlint
perl-Modern-Perl.src: W: spelling-error %description -l en_US pragmas -> pragmatism
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides
====> requires
perl >= 0:5.10
perl(Module::Build)  
perl(Test::Simple) >= 0.8
====> obsoletes
====> conflicts

Comment 3 Iain Arnell 2011-10-26 15:09:19 UTC
Ping!

Are you still interested in maintaining this? It's approved and ready for you to continue....

Comment 4 Conrad Meyer 2011-10-28 04:56:19 UTC
Yes, sorry. Real life interrupted for a while, etc.

New Package SCM Request
=======================
Package Name: perl-Modern-Perl
Short Description: Enable all of the features of Modern Perl with one command
Owners: konradm
Branches: f16 f15
InitialCC:

Comment 5 Gwyn Ciesla 2011-10-28 12:15:51 UTC
Git done (by process-git-requests).

Comment 7 Petr Šabata 2013-01-25 13:10:03 UTC
*** Bug 904099 has been marked as a duplicate of this bug. ***

Comment 8 Paul Howarth 2014-02-01 16:18:23 UTC
Package Change Request
======================
Package Name: perl-Modern-Perl
New Branches: epel7
Owners: pghmcfc
InitialCC: perl-sig

Conrad> I don't have any interest in EL -- feel free to take it :).

Co-maintainers welcome.

Comment 9 Gwyn Ciesla 2014-02-03 12:44:20 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.